_M = loadPrevious(...)

local Esp = require('mod.class.interface.ActorEsp')

-- Can't use the hook since we need access to the Player's object
local olddump = _M.dumpToJSON
function _M:dumpToJSON(js, bypass, nosub)
	local title, tags = olddump(self, js, bypass, nosub)

	local esps = {}
	for i, esp_type in ipairs(Esp.makeEspComparisonTable(self.esp)) do
		esps[i] = esp_type[1].." range "..esp_type[2][1]
	end

	-- esp_range is already stored correctly
	js.vision.esp = table.concat(esps, "\n")
	js.vision.full_esp = nil
	
	return title, tags
end

return _M