local _M = loadPrevious(...)

-- This ends up computing ESP FOV twice.  It won't hurt anything, but it can't be helped.
--  It is slower though, since the original check will always succeed.
local oldplayerfov = _M.playerFOV
function _M:playerFOV()
	oldplayerfov(self)

	-- The radius is set to the longest range of any active ESP effect, but the code superloaded
	--  for Actor.lua checks the range of the actor opposing the ESP check to ensure that they
	--  aren't sensed by the wrong ESP type.
	if self:hasActiveEsp() then
		self:computeFOV(self:getMaxEspRange(), "block_esp", function(x, y) game.level.map:applyESP(x, y, 0.6) end, true, true, true)
	end
end

return _M